## mumble 1.3.0+dfsg

=== 3rdparty/sbcelt-src/bench-celt/Makefile ===
include ../Make.conf

CFLAGS = -O2 -DHAVE_CONFIG_H -I. -I../celt-0.7.0/libcelt/ -I../helper
LDFLAGS = -lm

CELT = ../celt-0.7.0/libcelt
TARGET = celt-bench

SOURCES = \
	$(CELT)/bands.c \
	$(CELT)/celt.c \
	$(CELT)/cwrs.c \
	$(CELT)/entcode.c \
	$(CELT)/entdec.c \
	$(CELT)/entenc.c \
	$(CELT)/header.c \
	$(CELT)/kiss_fft.c \
	$(CELT)/kiss_fftr.c \
	$(CELT)/laplace.c \
	$(CELT)/mdct.c \
	$(CELT)/modes.c \
	$(CELT)/pitch.c \
	$(CELT)/psy.c \
	$(CELT)/quant_bands.c \
	$(CELT)/rangedec.c \
	$(CELT)/rangeenc.c \
	$(CELT)/rate.c \
	$(CELT)/vq.c \
	gentest.c \
	bench.c

include ../Make.cmd

=== 3rdparty/sbcelt-src/bench-sbcelt/Makefile ===
include ../Make.conf

CFLAGS = -O2 -I../celt-0.7.0/libcelt/ -I..
LDFLAGS = ../lib/libsbcelt.a -lm -lpthread

ifeq ($(shell uname -s),Linux)
LDFLAGS += -lrt
endif

TARGET = sbcelt-bench

SOURCES = \
	bench.c

include ../Make.cmd

=== 3rdparty/minhook-src/build/MinGW/Makefile ===
WINDRES:=$(CROSS_PREFIX)windres
DLLTOOL:=$(CROSS_PREFIX)dlltool
AR:=$(CROSS_PREFIX)ar
CC:=$(CROSS_PREFIX)gcc
CCLD:=$(CC)
SRCS:=$(wildcard src/*.c src/hde/*.c)
OBJS:=$(SRCS:%.c=%.o)
DEPS:=$(SRCS:%.c=%.d)
INCS:=-Isrc -Iinclude
CFLAGS:=-masm=intel -Wall -Werror -std=c11
LDFLAGS:=-Wl,-enable-stdcall-fixup -s -static-libgcc

all: MinHook.dll libMinHook.dll.a libMinHook.a

-include $(DEPS)

libMinHook.a: $(OBJS)
	$(AR) r $@ $^
libMinHook.dll.a: MinHook.dll dll_resources/MinHook.def
	$(DLLTOOL) --dllname MinHook.dll --def dll_resources/MinHook.def --output-lib $@
MinHook.dll: $(OBJS) dll_resources/MinHook.res dll_resources/MinHook.def
	$(CCLD) -o $@ -shared $(LDFLAGS) $^

.rc.res:
	$(WINDRES) -o $@ --input-format=rc --output-format=coff $<
.c.o:
	$(CC) -o $@ -c -MMD -MP $(INCS) $(CFLAGS) $<

clean:
	rm -f $(OBJS) $(DEPS) MinHook.dll libMinHook.dll.a libMinHook.a dll_resources/MinHook.res

.PHONY: clean
.SUFFIXES: .rc .res

=== debian/changelog ===
mumble (1.3.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:14 +0100

mumble (1.3.0+dfsg-1) unstable; urgency=medium

  [ Melvin Vermeeren ]
    - Supplied merge requests on salsa.debian.org to upgrade package to
      1.3.0~rc2+dfsg-1, but 1.3.0 stable was released before package review
      was completed, so 1.3.0 stable from upstream was imported instead
  * debian/control:
    - Add libjack-jackd2-dev to add jack support
  * debian/README.source:
    - Document how to import new sources
  * debian/watch:
    - Update to separate lines for clearer understanding, change repack
      rename from +repack to +dsfg

  [ Christopher Knadle ]
  * New upstream release from 2019-09-07
    (Closes: #925464)
    Thanks to Antoine Beaupre <anarcat@debian.org> for reporting the bug
    (Closes: #939901)
    Thanks to Michael Evans <mjevans1983@gmail.com> for reporting the bug
    and informing that 1.3.0 stable was available
  * debian/control:
    - Update Standards-Version to 4.4.0 (no changes needed)
  * debian/copyright:
    - Update Files-Excluded to remove one nonfree IETF text file
    - Update 2 Files sections for file relocations
  * debian/patches:
    - Update 35-add-dpkg-buildflags.diff for line offset fuzz
    - Update 44-add-speechd-header.diff for line fuzz
    - Remove 60-crossbuild.diff (incorporated upstream)
    - Remove 65-fix-sample-path.diff (incorporated upstream)
  * debian/upstream:
    - Add Mumble 2019 infrastructure GPG key as signing-key.asc
  * debian/watch:
    - Update to watch upstream releases, check PGP signature of release,
      and repack tarball to remove non-free files

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sat, 21 Sep 2019 19:16:56 +0000

=== debian/control ===
Source: mumble
Section: sound
Priority: optional
Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
Build-Depends: debhelper (>= 11),
 po-debconf,
 libboost-dev (>= 1.42),
 qtbase5-dev,
 qttools5-dev-tools,
 libqt5svg5-dev,
 libqt5opengl5-dev,
 libgl1-mesa-dev,
 libasound2-dev,
 libpulse-dev,
 libogg-dev,
 libspeex-dev,
 libspeexdsp-dev,
 libopus-dev,
 libsndfile1-dev,
 libssl-dev,
 libzeroc-ice-dev,
 libspeechd-dev,
 protobuf-compiler,
 libprotobuf-dev,
 libavahi-compat-libdnssd-dev,
 libxi-dev,
 libcap-dev [linux-any],
 libjack-jackd2-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/mumble
Vcs-Git: https://salsa.debian.org/pkg-voip-team/mumble.git
Homepage: https://wiki.mumble.info/wiki/Main_Page

Package: mumble
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libqt5sql5-sqlite,
 lsb-release
Suggests: mumble-server,
 speech-dispatcher
Description: Low latency encrypted VoIP client
 Mumble is a low-latency, high quality voice chat program for gaming.
 It features noise suppression, encrypted connections for both voice
 and instant messaging, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".

Package: mumble-server
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 libqt5sql5-sqlite,
 lsb-base (>= 3.0-6)
Description: Low latency encrypted VoIP server
 Murmur is the VoIP server component for Mumble. Murmur is installed
 in a system-wide fashion, but can also be run by individual users.
 Each murmur process supports multiple virtual servers, each with their
 own user base and channel list.

=== debian/watch ===
version=4
opts="\
	repack, \
	repacksuffix=+dfsg, \
	dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/, \
	pgpsigurlmangle=s/$/.sig/"
https://dl.mumble.info/mumble-(\d+\.\d+\.\d+)\.tar\.gz

## mumble 1.3.2

=== debian/changelog ===
mumble (1.3.2-1) unstable; urgency=medium

  * New upstream release from 2020-07-09
    - Fixes 7-second startup delay due to jackd (Closes: #941455)
      Thanks to Matthias Heinz <mh@familie-heinz.name> for reporting the bug
    - Fixes sound lockups caused when jackd started by Mumble client
      (Closes: #952742)
      Thanks to lemmel <debian-bugreport-46@mouaip.info> for reporting the bug
      Thanks to Sébastien Leblanc <seb@sebleblanc.net> for finding a fix
    - Fixes getCurrentUrl return value (Closes: #956379)
    - Fixes New upstream version available (Closes: #965002)
  * debian/control:
    - Update Standards-Version to 4.5.0 (no changes needed)
  * debian/mumble.gconf-defaults:
    - Remove file due to GConf being deprecated (Closes: #959108)
      Note https://bugs.debian.org/908845 for reference concerning planned
      dh_gconf removal
      Thanks to Michael Biebl <biebl@debian.org> for reporting the bug and
      explaining the fix
  * debian/patches:
    - Add 54-fix-mysql-start.diff to change $mysql -> mysql (Closes: #698715)
      Thanks to Tim Besard <tim.besard@gmail.com> for reporting the bug and
      finding the fix
  * debian/upstream:
    - Update signing-key.asc for Mumble 2020 build infrastructure key
  * debian/watch:
    - Update for upstream move of stable releases under stable/ subdirectory

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 11 Aug 2020 19:53:03 +0000

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  libxi-dev,
  libcap-dev [linux-any],
  libjack-jackd2-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/mumble
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/mumble.git
 Homepage: https://wiki.mumble.info/wiki/Main_Page

## mumble 1.3.3

=== debian/changelog ===
mumble (1.3.3-1) unstable; urgency=medium

  * New upstream bugfix and security release from 2020-10-04
  * debian/changelog:
    - Update Homepage to point to the nwer main page instead of the wiki
    - Update Standards-Version to 4.5.1 (no changes needed)
    - Update Build-Depends for debhelper >= 12
  * debian/compat:
    - Update debhelper compatibility level from 11 to 12
  * debian/patches:
    - Update 35-add-dpkg-buildflags.diff for line offset fuzz
    - Update 46-var-run-to-run.diff for line offset fuzz

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Fri, 08 Jan 2021 06:41:34 +0000

## mumble 1.3.4

=== debian/changelog ===
mumble (1.3.4-4) unstable; urgency=medium

  * debian/copyright:
    - Remove line 88 duplicate globbing pattern 3rdparty/speex-src/*
  * debian/tests/control
    - Explicitly list mumble and mumble-server packages to help understanding
  * debian/tests/smoke
    - Disable execution of mumble binary due to Qt error of
      "could not find display" causing test to fail and package regression
      (Closes: #1030813)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Fri, 10 Feb 2023 04:00:49 -0500

mumble (1.3.4-3) unstable; urgency=medium

  * debian/tests/control:
    - Fix autopkgtest control file to use "Tests:" instead of "Test-Command:"
    - Use "@" shorthand to install binary packages instead of explict list

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 07 Feb 2023 15:00:27 -0500

mumble (1.3.4-2) unstable; urgency=medium

  [ Diederik de Haas ]
  * debian/changelog:
    - Fix debian-changelog-line-too-long for 1.3.4-1.1
  * debian/control:
    - Add Rules-Requires-Root: no to allow building without root
    - Alter Build-Depends to update from transitional package libgl1-mesa-dev
      to libgl-dev
  * debian/mumble.lintian-overrides:
    - Remove postinst-has-useless-call-to-ldconfig override
  * debian/source/lintian-overrides:
    - Add override source-is-missing for html file
  * debian/upstream/metadata:
    - Remove Homepage: field since it is not defined i list of fields/tags

  [ Gioele Barabucci ]
  * debian/mumble-server.postinst:
    - Replace Perl with Sed

  [ Debian Janitor <janitor@jelmer.uk> ]
  * debian/changelog:
    - Fix day-of-week for changelog entry 1.1.3-2
  * debian/compat:
    - Remove file, set debhelper compat level in debian/control
  * debian/control:
    - Bump debhelper from 12 to 13
    - Upgrade Standards-Version to 4.6.0, no changes needed
  * debian/mumble.lintian-overrides:
    - Remove overrides for lintian tags that are no longer supported
  * debian/upstream/metadata:
    - Add Bug-Submit upstream metadata field
    - Remove Name: field since it is present in debian/copyright

  [ Christopher Knadle ]
  * debian/control:
    - Update Standards-Version to 4.6.2 (no changes needed)
  * debian/mumble-server.README.Debian:
    - Document that mumble-server, murmur, murmurd all refer to the same
      server binary /usr/sbin/murmurd (Closes: #964063)
  * debian/tests:
    - Add autopkgtest -control file and smoke test to insure mumble and
      murmurd binaries are built an in-place

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 06 Feb 2023 19:57:40 -0500

mumble (1.3.4-1.1) unstable; urgency=medium

  [ Steve Langasek ]
  * Non-maintainer upload.
  * debian/patches/openssl-3.0-compat.patch: port upstream patch for building
    against openssl 3.0 (Closes: #1005719)

 -- Judit Foglszinger <urbec@debian.org>  Mon, 12 Sep 2022 00:37:43 +0700

mumble (1.3.4-1) unstable; urgency=medium

  * New upstream bugfix release from 2021-02-10
    - Fixes CVE-2021-27229 (Closes: #982904)
      Mumble before 1.3.4 allows remote code execution if a victim navigates
      to a crafted URL on a server list and clicks on the Open Webpage text
    - Fixes packet loss & audio artifacts caused by OCB2 XEXStarAttack
      mitigation (upstream issue #4720)
  * debian/upstream/signing-key.asc:
    - Update signing-key.asc for Mumble 2021 build infrastructure key

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 01 Mar 2021 09:29:33 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: sound
 Priority: optional
 Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
  po-debconf,
  libboost-dev (>= 1.42),
  qtbase5-dev,
  qttools5-dev-tools,
  libqt5svg5-dev,
  libqt5opengl5-dev,
- libgl1-mesa-dev,
+ libgl-dev,
  libasound2-dev,
  libpulse-dev,
  libogg-dev,
@@ -26,10 +26,11 @@
  libxi-dev,
  libcap-dev [linux-any],
  libjack-jackd2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/mumble
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/mumble.git
-Homepage: https://wiki.mumble.info/wiki/Main_Page
+Homepage: https://www.mumble.info
 
 Package: mumble
 Architecture: any

=== debian/tests/control ===
Tests: smoke
Depends: mumble, mumble-server

=== debian/watch ===
version=4
opts="\
	repack, \
	repacksuffix=+dfsg, \
	dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/, \
	pgpsigurlmangle=s/$/.sig/"
https://dl.mumble.info/stable/mumble-(\d+\.\d+\.\d+)\.tar\.gz

## mumble 1.3.4-1%2B9.0trisquel3

=== debian/changelog ===
mumble (1.3.4-1+9.0trisquel3) etiona-backports; urgency=medium

  * Backported from jammy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 12 Jan 2022 11:05:27 +0000

## mumble 1.3.4-1+10.0trisquel3

=== debian/changelog ===
mumble (1.3.4-1+10.0trisquel3) nabia-backports; urgency=medium

  * Backported from jammy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 12 Jan 2022 00:36:58 +0000

## mumble 1.3.4-1+10.0trisquel4

=== debian/changelog ===
mumble (1.3.4-1+10.0trisquel4) nabia-backports; urgency=medium

  * Backported from jammy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 06 Dec 2023 14:11:31 +0000

mumble (1.3.4-1ubuntu1) jammy; urgency=medium

  * debian/patches/openssl-3.0-compat.patch: port upstream patch for building
    against openssl 3.0.  Closes LP: #1962721.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Mar 2022 00:55:04 +0000

mumble (1.3.4-1build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:40:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: mumble
 Section: sound
 Priority: optional
-Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Christopher Knadle <Chris.Knadle@coredump.us>
+Build-Depends: debhelper (>= 12),
  po-debconf,
  libboost-dev (>= 1.42),
  qtbase5-dev,
  qttools5-dev-tools,
  libqt5svg5-dev,
  libqt5opengl5-dev,
- libgl-dev,
+ libgl1-mesa-dev,
  libasound2-dev,
  libpulse-dev,
  libogg-dev,
@@ -26,8 +27,7 @@
  libxi-dev,
  libcap-dev [linux-any],
  libjack-jackd2-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/mumble
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/mumble.git
 Homepage: https://www.mumble.info
